Subject: bug#52267: Acknowledgement (disk image installer for rock64 fails)

From: Florian Hoertlehner <[email-masked]>
Date: Wed, 8 Dec 2021 20:42:08 +0100

Thanska lot Maxime! This is really simple. Guix is an amazing tool!

On Wed, Dec 8, 2021, 8:20 PM Maxime Devos <[email-masked]> wrote:

> Florian Hoertlehner schreef op wo 08-12-2021 om 19:26 [+0100]:
> > Do you know how I would do that? Do ai have to change th guix channel
> > Definition for that? Would this still allow me to roll back in case
> > something fails terribly? Or could it be that core-updates-frozen
> > will crash my Main machine all together? Man's thanks!
>
> The least risky method I know of, is to pull guix into a _separate_
> profile ,
> and use that guix to build the installation image:
>
> $ guix pull --profile=./guix-cuf --branch=core-updates-frozen
> [wait for the pull to finish]
> [alternatively, you could use 'guix time-machine']
> $ ./guix-cuf/bin/guix system disk-image --target=aarch64-linux-gnu -e
> '(@ (gnu system install) rock64-installation-os)'
>
> That way, the core-updates-frozen guix will only be used for building
> the installation image, and nothing else.
>
> I don't see how that could crash your main machine, though I don't know
> if it will work on your rock64.
>
> Greetings,
> Maxime
>
>